> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get bills (7 days)

GET https://www.okx.com/api/v5/account/bills

Retrieve the bills of the account. The bill refers to all transaction records that result in changing the balance of an account. Data for the last 7 days.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-bills

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `instType` (enum, optional) — Instrument type.
  - Allowed values: `SPOT`, `MARGIN`, `SWAP`, `FUTURES`, `OPTION`
- `ccy` (string, optional) — Currency.
- `mgnMode` (enum, optional) — Margin mode.
  - Allowed values: `isolated`, `cross`
- `ctType` (enum, optional) — Contract type.
  - Allowed values: `linear`, `inverse`
- `type` (string, optional) — Bill type, e.g. 1 (Transfer), 2 (Trade), 8 (Interest deduction).
- `subType` (string, optional) — Bill subtype, e.g. 1 (Buy), 2 (Sell).
- `after` (string, optional) — Pagination of data to return records earlier than the requested bill ID.
- `before` (string, optional) — Pagination of data to return records newer than the requested bill ID.
- `limit` (string, optional) — Number of results per request. Maximum 100, default 100.
- `begin` (string, optional) — Filter with a begin timestamp, Unix timestamp in milliseconds.
- `end` (string, optional) — Filter with an end timestamp, Unix timestamp in milliseconds.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountBillsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountBillsGetResponsesContentApplicationJsonSchemaDataItems

- `instType` (string, optional) — Instrument type.
- `instId` (string, optional) — Instrument ID.
- `billId` (string, optional) — Bill ID.
- `type` (string, optional) — Bill type.
- `subType` (string, optional) — Bill subtype.
- `ccy` (string, optional) — Account balance currency.
- `bal` (string, optional) — Balance at the account level.
- `balChg` (string, optional) — Change in balance amount at the account level.
- `posBal` (string, optional) — Balance at the position level.
- `posBalChg` (string, optional) — Change in balance amount at the position level.
- `sz` (string, optional) — Quantity.
- `pnl` (string, optional) — Profit and loss.
- `fee` (string, optional) — Fee, negative for charge, positive for rebate.
- `mgnMode` (string, optional) — Margin mode.
- `ordId` (string, optional) — Order ID.
- `execType` (string, optional) — Liquidity taker or maker: T (taker), M (maker).
- `from` (string, optional) — The remitting account, applicable to transfers.
- `to` (string, optional) — The beneficiary account, applicable to transfers.
- `notes` (string, optional) — Notes.
- `ts` (string, optional) — Creation time, Unix timestamp in milliseconds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instType": "SPOT",
      "instId": "BTC-USDT",
      "billId": "623950854533513219",
      "type": "2",
      "subType": "1",
      "ccy": "USDT",
      "bal": "8694.2179403378290202",
      "balChg": "0.0219338232210000",
      "posBal": "0",
      "posBalChg": "0",
      "sz": "0.021955779",
      "pnl": "0",
      "fee": "-0.000021955779",
      "mgnMode": "isolated",
      "ordId": "623950854525124608",
      "execType": "T",
      "from": "",
      "to": "",
      "notes": "",
      "ts": "1695033476167",
      "clOrdId": "",
      "earnAmt": "",
      "earnApr": "",
      "fillFwdPx": "",
      "fillIdxPx": "27104.1",
      "fillMarkPx": "",
      "fillMarkVol": "",
      "fillPxUsd": "",
      "fillPxVol": "",
      "fillTime": "1695033476166",
      "interest": "0",
      "px": "27105.9",
      "tag": "",
      "tradeId": "586760148"
    }
  ]
}
```

**SDK Code**

```python account_getBills_example
import requests

url = "https://www.okx.com/api/v5/account/bills"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript account_getBills_example
const url = 'https://www.okx.com/api/v5/account/bills';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_getBills_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/bills"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_getBills_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/bills")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java account_getBills_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/account/bills")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php account_getBills_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/account/bills', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_getBills_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/bills");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift account_getBills_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/bills")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```